Claim an access code

1 min readEdit this page
POST
/v1/access-codes/claim

Claims an active code-filtered Access Policy. Re-claiming the same code is idempotent; claiming a different code while the current policy is active returns 409. Unknown or inactive codes return 404.

Requires the user:write scope.

Authorization

x-api-key<token>

Anthropic-style API key header.

In: header

Request Body

application/json

Access code claim request.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/access-codes/claim" \  -H "Content-Type: application/json" \  -d '{    "code": "string"  }'
{  "code": "string",  "ends_at": "2019-08-24T14:15:22Z",  "policy_id": "string",  "quota": {    "consumed": 0,    "limit": 0,    "unit": "string"  },  "starts_at": "2019-08-24T14:15:22Z",  "status": "string"}
{  "error": "string",  "error_description": "string"}
{  "error": "string",  "error_description": "string"}
{  "error": "string",  "error_description": "string"}

How is this guide?